// Copyright (c) 2023, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

import 'dart:js_interop';

import 'webgl1.dart';

@JS('WEBGL_compressed_texture_astc')
@staticInterop
class WEBGL_compressed_texture_astc implements JSObject {
  external static GLenum get COMPRESSED_RGBA_ASTC_4x4_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_5x4_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_5x5_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_6x5_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_6x6_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_8x5_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_8x6_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_8x8_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_10x5_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_10x6_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_10x8_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_10x10_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_12x10_KHR;
  external static GLenum get COMPRESSED_RGBA_ASTC_12x12_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR;
  external static GLenum get COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR;
}

extension WEBGLCompressedTextureAstcExtension on WEBGL_compressed_texture_astc {
  external JSArray getSupportedProfiles();
}
